//////////////////////////////////////////
//
// NOTE: This is *not* a valid shader file
//
///////////////////////////////////////////
Shader "Shader Graphs/HeightFogPlane" {
    Properties {
        _Texture2D ("Texture2D", 2D) = "white" { }
        _Fog_Colour ("Fog_Colour", Color) = (0,0,0,0)
        _Fog_Opacity ("Fog_Opacity", Float) = 0
        _Depthfade_Distance ("Depthfade_Distance", Float) = 0
        _QueueOffset ("_QueueOffset", Float) = 0
        _QueueControl ("_QueueControl", Float) = -1
        unity_Lightmaps ("unity_Lightmaps", 2DArray) = "" { }
        unity_LightmapsInd ("unity_LightmapsInd", 2DArray) = "" { }
        unity_ShadowMasks ("unity_ShadowMasks", 2DArray) = "" { }
    }
    SubShader {
        Tags { "DisableBatching" = "False" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
        Pass {
            Name "Universal Forward"
            Tags { "DisableBatching" = "False" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend SrcAlpha OneMinusSrcAlpha, One OneMinusSrcAlpha
            ZWrite Off
            GpuProgramID 38539
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    Keywords { "_SCREEN_SPACE_OCCLUSION" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(1) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    out highp vec4 vs_INTERP0;
                    out highp vec3 vs_INTERP1;
                    out highp vec3 vs_INTERP2;
                    vec3 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        vs_INTERP1.xyz = u_xlat0.xyz;
                        gl_Position = u_xlat1 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP2.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 _ScaledScreenParams;
                    uniform 	vec2 _GlobalMipBias;
                    uniform 	vec4 _ProjectionParams;
                    uniform 	vec4 _ZBufferParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerMaterial {
                    #endif
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedX_Texture2D_TexelSize;
                    	UNITY_UNIFORM vec4                _Fog_Colour;
                    	UNITY_UNIFORM float                _Fog_Opacity;
                    	UNITY_UNIFORM float                _Depthfade_Distance;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    UNITY_LOCATION(0) uniform highp sampler2D _CameraDepthTexture;
                    UNITY_LOCATION(1) uniform mediump sampler2D _Texture2D;
                    in highp vec4 vs_INTERP0;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    vec3 u_xlat0;
                    bool u_xlatb0;
                    float u_xlat1;
                    void main()
                    {
                    vec4 hlslcc_FragCoord = vec4(gl_FragCoord.xyz, 1.0/gl_FragCoord.w);
                        u_xlatb0 = 0.0<_ProjectionParams.x;
                        u_xlat1 = (-hlslcc_FragCoord.y) + _ScaledScreenParams.y;
                        u_xlat0.y = (u_xlatb0) ? u_xlat1 : hlslcc_FragCoord.y;
                        u_xlat0.x = hlslcc_FragCoord.x;
                        u_xlat0.xy = u_xlat0.xy / _ScaledScreenParams.xy;
                        u_xlat0.z = (-u_xlat0.y) + 1.0;
                        u_xlat0.x = texture(_CameraDepthTexture, u_xlat0.xz, _GlobalMipBias.x).x;
                        u_xlat0.x = _ZBufferParams.x * u_xlat0.x + _ZBufferParams.y;
                        u_xlat0.x = float(1.0) / u_xlat0.x;
                        u_xlat0.x = u_xlat0.x / _Depthfade_Distance;
                        u_xlat0.x = clamp(u_xlat0.x, 0.0, 1.0);
                        u_xlat1 = texture(_Texture2D, vs_INTERP0.xy, _GlobalMipBias.x).x;
                        u_xlat0.x = u_xlat0.x * u_xlat1;
                        SV_Target0.w = u_xlat0.x * _Fog_Opacity;
                        SV_Target0.xyz = _Fog_Colour.xyz;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "DepthNormalsOnly"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "DepthNormalsOnly" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            GpuProgramID 91371
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    out highp vec4 vs_INTERP0;
                    out highp vec3 vs_INTERP1;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        gl_Position = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        vs_INTERP0 = in_TEXCOORD0;
                        u_xlat0.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat0.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat0.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat0.xyz, u_xlat0.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        vs_INTERP1.xyz = vec3(u_xlat6) * u_xlat0.xyz;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    in highp vec3 vs_INTERP1;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_Target0;
                    #else
                    layout(location = 0) out highp vec4 SV_Target0;
                    #endif
                    float u_xlat0;
                    void main()
                    {
                        u_xlat0 = dot(vs_INTERP1.xyz, vs_INTERP1.xyz);
                        u_xlat0 = inversesqrt(u_xlat0);
                        SV_Target0.xyz = vec3(u_xlat0) * vs_INTERP1.xyz;
                        SV_Target0.w = 0.0;
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "ShadowCaster"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "SHADOWCASTER" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            ColorMask 0 0
            GpuProgramID 146275
            PlayerProgram "vp" {
                SubProgram "gles3 " {
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _ShadowBias;
                    uniform 	vec3 _LightDirection;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    out highp vec4 vs_INTERP0;
                    out highp vec3 vs_INTERP1;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    float u_xlat6;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat0.xyz = vec3(_LightDirection.x, _LightDirection.y, _LightDirection.z) * _ShadowBias.xxx + u_xlat0.xyz;
                        u_xlat1.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat1.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat1.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat6 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat6 = max(u_xlat6, 1.17549435e-38);
                        u_xlat6 = inversesqrt(u_xlat6);
                        u_xlat1.xyz = vec3(u_xlat6) * u_xlat1.xyz;
                        u_xlat6 = dot(vec3(_LightDirection.x, _LightDirection.y, _LightDirection.z), u_xlat1.xyz);
                        u_xlat6 = clamp(u_xlat6, 0.0, 1.0);
                        u_xlat6 = (-u_xlat6) + 1.0;
                        u_xlat6 = u_xlat6 * _ShadowBias.y;
                        u_xlat0.xyz = u_xlat1.xyz * vec3(u_xlat6) + u_xlat0.xyz;
                        vs_INTERP1.xyz = u_xlat1.xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        gl_Position.z = max(u_xlat0.z, -1.0);
                        gl_Position.xyw = u_xlat0.xyw;
                        vs_INTERP0 = in_TEXCOORD0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    void main()
                    {
                        SV_TARGET0 = vec4(0.0, 0.0, 0.0, 0.0);
                        return;
                    }
                    
                    #endif
                    "
                }
                SubProgram "gles3 " {
                    Keywords { "_CASTING_PUNCTUAL_LIGHT_SHADOW" }
                    "#ifdef VERTEX
                    #version 300 es
                    
                    #define HLSLCC_ENABLE_UNIFORM_BUFFERS 1
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    #define UNITY_UNIFORM
                    #else
                    #define UNITY_UNIFORM uniform
                    #endif
                    #define UNITY_SUPPORTS_UNIFORM_LOCATION 1
                    #if UNITY_SUPPORTS_UNIFORM_LOCATION
                    #define UNITY_LOCATION(x) layout(location = x)
                    #define UNITY_BINDING(x) layout(binding = x, std140)
                    #else
                    #define UNITY_LOCATION(x)
                    #define UNITY_BINDING(x) layout(std140)
                    #endif
                    uniform 	vec4 hlslcc_mtx4x4unity_MatrixVP[4];
                    uniform 	vec4 _ShadowBias;
                    uniform 	vec3 _LightPosition;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    UNITY_BINDING(0) uniform UnityPerDraw {
                    #endif
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_ObjectToWorld[4];
                    	UNITY_UNIFORM vec4                hlslcc_mtx4x4unity_WorldToObject[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LODFade;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_WorldTransformParams;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RenderingLayer;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightData;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightIndices[2];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_ProbesOcclusion;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_HDR;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube0_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMax;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_BoxMin;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SpecCube1_ProbePosition;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_LightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_DynamicLightmapST;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHAb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBr;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBg;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHBb;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_SHC;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Min;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_RendererBounds_Max;
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousM[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXhlslcc_mtx4x4unity_MatrixPreviousMI[4];
                    	UNITY_UNIFORM vec4 Xhlslcc_UnusedXunity_MotionVectorsParams;
                    #if HLSLCC_ENABLE_UNIFORM_BUFFERS
                    };
                    #endif
                    in highp vec3 in_POSITION0;
                    in highp vec3 in_NORMAL0;
                    in highp vec4 in_TEXCOORD0;
                    out highp vec4 vs_INTERP0;
                    out highp vec3 vs_INTERP1;
                    vec4 u_xlat0;
                    vec4 u_xlat1;
                    vec3 u_xlat2;
                    float u_xlat9;
                    void main()
                    {
                        u_xlat0.xyz = in_POSITION0.yyy * hlslcc_mtx4x4unity_ObjectToWorld[1].xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[0].xyz * in_POSITION0.xxx + u_xlat0.xyz;
                        u_xlat0.xyz = hlslcc_mtx4x4unity_ObjectToWorld[2].xyz * in_POSITION0.zzz + u_xlat0.xyz;
                        u_xlat0.xyz = u_xlat0.xyz + hlslcc_mtx4x4unity_ObjectToWorld[3].xyz;
                        u_xlat1.xyz = (-u_xlat0.xyz) + _LightPosition.xyz;
                        u_xlat9 = dot(u_xlat1.xyz, u_xlat1.xyz);
                        u_xlat9 = inversesqrt(u_xlat9);
                        u_xlat1.xyz = vec3(u_xlat9) * u_xlat1.xyz;
                        u_xlat0.xyz = u_xlat1.xyz * _ShadowBias.xxx + u_xlat0.xyz;
                        u_xlat2.x = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[0].xyz);
                        u_xlat2.y = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[1].xyz);
                        u_xlat2.z = dot(in_NORMAL0.xyz, hlslcc_mtx4x4unity_WorldToObject[2].xyz);
                        u_xlat9 = dot(u_xlat2.xyz, u_xlat2.xyz);
                        u_xlat9 = max(u_xlat9, 1.17549435e-38);
                        u_xlat9 = inversesqrt(u_xlat9);
                        u_xlat2.xyz = vec3(u_xlat9) * u_xlat2.xyz;
                        u_xlat9 = dot(u_xlat1.xyz, u_xlat2.xyz);
                        u_xlat9 = clamp(u_xlat9, 0.0, 1.0);
                        u_xlat9 = (-u_xlat9) + 1.0;
                        u_xlat9 = u_xlat9 * _ShadowBias.y;
                        u_xlat0.xyz = u_xlat2.xyz * vec3(u_xlat9) + u_xlat0.xyz;
                        vs_INTERP1.xyz = u_xlat2.xyz;
                        u_xlat1 = u_xlat0.yyyy * hlslcc_mtx4x4unity_MatrixVP[1];
                        u_xlat1 = hlslcc_mtx4x4unity_MatrixVP[0] * u_xlat0.xxxx + u_xlat1;
                        u_xlat0 = hlslcc_mtx4x4unity_MatrixVP[2] * u_xlat0.zzzz + u_xlat1;
                        u_xlat0 = u_xlat0 + hlslcc_mtx4x4unity_MatrixVP[3];
                        gl_Position.z = max(u_xlat0.z, -1.0);
                        gl_Position.xyw = u_xlat0.xyw;
                        vs_INTERP0 = in_TEXCOORD0;
                        return;
                    }
                    
                    #endif
                    #ifdef FRAGMENT
                    #version 300 es
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    #extension GL_EXT_shader_framebuffer_fetch : enable
                    #endif
                    
                    precision highp float;
                    precision highp int;
                    #ifdef GL_EXT_shader_framebuffer_fetch
                    layout(location = 0) inout highp vec4 SV_TARGET0;
                    #else
                    layout(location = 0) out highp vec4 SV_TARGET0;
                    #endif
                    void main()
                    {
                        SV_TARGET0 = vec4(0.0, 0.0, 0.0, 0.0);
                        return;
                    }
                    
                    #endif
                    "
                }
            }
        }
        Pass {
            Name "GBuffer"
            Tags { "DisableBatching" = "False" "LIGHTMODE" = "UniversalGBuffer" "QUEUE" = "Transparent" "RenderPipeline" = "UniversalPipeline" "RenderType" = "Transparent" "ShaderGraphShader" = "true" "ShaderGraphTargetId" = "UniversalUnlitSubTarget" "UniversalMaterialType" = "Unlit" }
            Blend SrcAlpha OneMinusSrcAlpha, One OneMinusSrcAlpha
            ZWrite Off
            GpuProgramID 229821
        }
    }
Fallback "Hidden/Shader Graph/FallbackError"
CustomEditor "UnityEditor.ShaderGraph.GenericShaderGraphMaterialGUI"
}